Subject: [Rfc-markdown] 1.5.15: Discussion Venues

From: Carsten Bormann <[email-masked]>
Date: Sat, 30 Oct 2021 09:44:29 +0200

1.5.15 has basic support for generating discussion venue notes.
The details are likely to further improve based on your input, which I hereby request.

Put this in your YAML front:

venue:
  group: JSON Path
  mail: [email-masked]
  github: ietf-wg-jsonpath/draft-ietf-jsonpath-base

And you get right after the abstract (looks nicer in HTML):

Discussion Venues

   This note is to be removed before publishing as an RFC.

   Discussion of this document takes place on the JSON Path Working
   Group mailing list ([email-masked]), which is archived at
   https://mailarchive.ietf.org/arch/browse/jsonpath/.

   Source for this draft and an issue tracker can be found at
   https://github.com/ietf-wg-jsonpath/draft-ietf-jsonpath-base.

You can leave out “group:” if that is identical to the local part of the mail address (here, I liked some extra spacing and capitalization).
Put in an explicit “type:” if you don’t like the code to infer “Working Group” from @ietf in the mail address, or “Research Group” from @irtf.
Put in an explicit “arch:” if you don’t like inferring the mail archive name from the mail address (is that ever wrong?).

Todo: add a slash before the period (so the link works in .TXT as well as it does in .HTML), and add in non-github git repos, as soon as somebody tells me they use one :-).

  git: https://gitlab.com/weird-wg/draft-ietf-weird-nonconformance/

And thanks of course to Martin Thomson whose .note.xml function in I-D-Template I stole this from (which gets most of this information in an automated way, but makes the generated draft dependent on its context).

Grüße, Carsten